[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#367719: marked as done (libslbreflex2: must use invoke-rc.d)

Your message dated Sat, 20 May 2006 09:17:16 -0700
with message-id <E1FhU8i-0004fU-Sg@spohr.debian.org>
and subject line Bug#367719: fixed in slbreflex 2.2.0-9
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: libslbreflex2
Version: 2.2.0-8

As of Debian Policy Manual version 3.7.2, the use of invoke-rc.d to
run init.d scripts has been made mandatory. Earlier, its use was
strongly recommended.

In most cases the fix should be simple, replace this:
    /etc/init.d/package <action>
with this:
    if which invoke-rc.d >/dev/null 2>&1; then
            invoke-rc.d package <action>
            /etc/init.d/package <action>

On May 13 and 14, I checked all packages in Debian sid, and found
that your package needs to be changed because of this policy change.
This bug is part of a mass-filing to get all such bugs fixed.
(See discussion starting at [1].)

    [1] http://lists.debian.org/debian-devel/2006/05/msg00577.html

If my checking was wrong, I apologize.

If I can help in getting the bug fixed, please tell me.

--- End Message ---
--- Begin Message ---
Source: slbreflex
Source-Version: 2.2.0-9

We believe that the bug you reported is fixed in the latest version of
slbreflex, which is due to be installed in the Debian FTP archive:

  to pool/main/s/slbreflex/libslbreflex-dev_2.2.0-9_i386.deb
  to pool/main/s/slbreflex/libslbreflex2_2.2.0-9_i386.deb
  to pool/main/s/slbreflex/slbreflex_2.2.0-9.diff.gz
  to pool/main/s/slbreflex/slbreflex_2.2.0-9.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Michael Ablassmeier <abi@debian.org> (supplier of updated slbreflex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sat, 20 May 2006 17:50:08 +0200
Source: slbreflex
Binary: libslbreflex2 libslbreflex-dev
Architecture: source i386
Version: 2.2.0-9
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Michael Ablassmeier <abi@debian.org>
 libslbreflex-dev - Reflex 62/64 smartcard reader CT-API development files
 libslbreflex2 - Reflex 62/64 smartcard reader PCSC and CT-API driver
Closes: 367719
 slbreflex (2.2.0-9) unstable; urgency=low
   * QA Upload
   * Do not invoke init.d scripts in postinst/prerm directly, use invoke-rc.d
     (Closes: #367719)
   * Set DH_COMPAT to 4
   * Update debian/copyright
   * Conforms to new Standards Version 3.7.2
 9381eedcc2a5f0b15c8d5c2371611f1a 598 misc extra slbreflex_2.2.0-9.dsc
 a8a19dace31becb05f89bc215989e7f7 7974 misc extra slbreflex_2.2.0-9.diff.gz
 b2ce106cca6ae4693714f2d2b85d7900 11516 libdevel extra libslbreflex-dev_2.2.0-9_i386.deb
 3b2e872bc61ad77358917afa8f6d19fb 13732 libs extra libslbreflex2_2.2.0-9_i386.deb

Version: GnuPG v1.4.3 (GNU/Linux)


--- End Message ---

Reply to: